<script setup>
import { RouterView } from 'vue-router' 
</script>

<template> 

  <component :is="layout">
    <RouterView />
  </component> 

</template>

<script>
import DefaultLayout from '@app1/layouts/DefaultLayout.vue';
export default {
  name: 'App',
  computed: {
    layout() {
      return this.$route.meta.layout || DefaultLayout;
    },
  }
};
</script>